Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Remove product from channel

Removes a product from a channel. Returns 200 even if the product was not a member.

DELETE/api/v1/{team_slug}/{app_slug}/channels/{channel_id}/products/{product_id}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

channel_idstringrequired

Channel ID

product_idstringrequired

Product ID

Responses
200

Membership removed

messagestring
successboolean
400

Invalid request

detailsstring[]
messagestring
successbooleanrequired
404

Channel not found

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X DELETE 'https://api.enad.io/api/v1/string/string/channels/string/products/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "message": "string",
  "success": true
}